Bug 217132 - Upgrade from fc5 i386 to fc6 x86_64
Upgrade from fc5 i386 to fc6 x86_64
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-24 02:37 EST by Eli Wapniarski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-26 05:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Show architecture upgrade confirmation dialog (4.20 KB, patch)
2007-08-28 11:05 EDT, Martin Sivák
no flags Details | Diff

  None (edit)
Description Eli Wapniarski 2006-11-24 02:37:57 EST
I recently upgraded my main desktop computer from fc5 i386 to fc6 x86_64. I expected that there 
would be some difficulty and of course there was. However, one thing I did not expect was that 
apt-get or yum would not be able to see 64bit packages.

Turns out, that the installation of rpm x86_64 did not detect that the previous installation was an 
i386 installation.

When I changed the contents of /etc/rpm/platform from i386-redhat-linux to x86_64-redhat-linux 
all was well.

I guess you should consider this a feature request; that when rpm gets installed from an upgrade 
from an i386 system to an x86_64 system that /etc/rpm/platform gets altered appropriately.
Comment 1 Jeff Johnson 2006-11-24 09:22:25 EST
Feature request understood.

But consider that only you, not rpm, can tell upgrade from i386 -> x86_64.
There's no unambiguous way of detecting when a platform changes, consider
what happens when a mobo or a cpu is replaced.
Comment 2 Eli Wapniarski 2006-11-24 14:03:25 EST
Not really a problem. I guess it is safe to assume that if someone decides to upgrade 
from i386 to x86_64 that they know what they're doing. Grepping /etc/rpm/platform to 
determine if the file contains i386-redhat-linux or x86_64-redhat-linux should not be a 
big deal, and if platform contains the wrong info, then change it. This would save a lot 
of pain.
Comment 3 Panu Matilainen 2007-08-09 16:35:44 EDT
Anaconda writes /etc/rpm/platform, not rpm itself. 
Since this has no way of getting changed for FC6, switching version to devel.
Comment 5 Martin Sivák 2007-08-28 11:05:38 EDT
Created attachment 176781 [details]
Show architecture upgrade confirmation dialog

When architectures of booted instalation media and /etc/rpm/platform are
different, ask for confirmation

Note You need to log in before you can comment on or make changes to this bug.